Subject: bug#61396: diff mode could distinguish changed from deleted lines

From: Juri Linkov <[email-masked]>
Date: Mon, 02 Oct 2023 19:56:36 +0300

> - Second, `diff-refine-hunk` highlights the text actually added and the
>   text actually removed within modified lines, but not the place where
>   text is added/removed in the other version.
>   [ As pointed out by Juri (thanks for Cc'ing me, BTW) this is linked to
>     a comment I left in `smerge--refine-highlight-change`, tho that
>     comment was thinking of a slightly different feature (namely the
>     ability to jump from one version to the other, or the addition of
>     a "phantom" cursor highlighting the corresponding place in the other
>     version).  ]
>   Here the problem is mostly that we don't have a standard way to
>   highlight a "place" (which is something that occupies 0 pixels on
>   screen).  But we could follow the (not unanimously appreciated) lead
>   of `rectangle-mode` and insert a thin (highlighted) visual space to
>   mark those places.  That should be not too hard to do, but it would
>   have to be optional I think because it'd tend to break alignment, so
>   some people may not find the upside significant enough to justify
>   the downsides.

Ediff highlights the first character of the context.  Logically
this is not correct, but probably Ediff predates the ability of
using a thin space like in `rectangle-mode`.  Or maybe because
it doesn't work on ttys.